package ar.com.supervielle.wsdl.servicios.integracion.cuenta.cajaahorro_v1;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-23T10:07:35.220-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebServiceClient(name = "CajadeAhorro", 
                  wsdlLocation = "http://dasoa-01:9801/wsdl/servicios/integracion/cuenta/cajaAhorro-v1.1?wsdl",
                  targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/cajaAhorro-v1") 
public class CajadeAhorro extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/cajaAhorro-v1", "CajadeAhorro");
    public final static QName CajadeAhorroSvcV1 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/cajaAhorro-v1", "CajadeAhorroSvc_v1");
    public final static QName CajadeAhorroSvcV12 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/cajaAhorro-v1", "CajadeAhorroSvc_v12");
    public final static QName CajadeAhorroSvc = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cuenta/cajaAhorro-v1", "CajadeAhorroSvc");
    static {
        URL url = null;
        try {
            url = new URL("http://dasoa-01:9801/wsdl/servicios/integracion/cuenta/cajaAhorro-v1.1?wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(CajadeAhorro.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "http://dasoa-01:9801/wsdl/servicios/integracion/cuenta/cajaAhorro-v1.1?wsdl");
        }
        WSDL_LOCATION = url;
    }

    public CajadeAhorro(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public CajadeAhorro(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public CajadeAhorro() {
        super(WSDL_LOCATION, SERVICE);
    }
    
    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public CajadeAhorro(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public CajadeAhorro(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public CajadeAhorro(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }    

    /**
     *
     * @return
     *     returns CajadeAhorroPortTypeV11
     */
    @WebEndpoint(name = "CajadeAhorroSvc_v1")
    public CajadeAhorroPortTypeV11 getCajadeAhorroSvcV1() {
        return super.getPort(CajadeAhorroSvcV1, CajadeAhorroPortTypeV11.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns CajadeAhorroPortTypeV11
     */
    @WebEndpoint(name = "CajadeAhorroSvc_v1")
    public CajadeAhorroPortTypeV11 getCajadeAhorroSvcV1(WebServiceFeature... features) {
        return super.getPort(CajadeAhorroSvcV1, CajadeAhorroPortTypeV11.class, features);
    }
    /**
     *
     * @return
     *     returns CajadeAhorroPortTypeV12
     */
    @WebEndpoint(name = "CajadeAhorroSvc_v12")
    public CajadeAhorroPortTypeV12 getCajadeAhorroSvcV12() {
        return super.getPort(CajadeAhorroSvcV12, CajadeAhorroPortTypeV12.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns CajadeAhorroPortTypeV12
     */
    @WebEndpoint(name = "CajadeAhorroSvc_v12")
    public CajadeAhorroPortTypeV12 getCajadeAhorroSvcV12(WebServiceFeature... features) {
        return super.getPort(CajadeAhorroSvcV12, CajadeAhorroPortTypeV12.class, features);
    }
    /**
     *
     * @return
     *     returns CajadeAhorroPortTypeV1
     */
    @WebEndpoint(name = "CajadeAhorroSvc")
    public CajadeAhorroPortTypeV1 getCajadeAhorroSvc() {
        return super.getPort(CajadeAhorroSvc, CajadeAhorroPortTypeV1.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns CajadeAhorroPortTypeV1
     */
    @WebEndpoint(name = "CajadeAhorroSvc")
    public CajadeAhorroPortTypeV1 getCajadeAhorroSvc(WebServiceFeature... features) {
        return super.getPort(CajadeAhorroSvc, CajadeAhorroPortTypeV1.class, features);
    }

}
